Autore Topic: Joomla! FAP 3.x  (Letto 16697 volte)

Offline antonelloinglese

  • Esploratore
  • **
  • Post: 152
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #20 il: 18 Set 2014, 11:21:50 »
Ha ragione!!!
Ho terminato la valutazione, con una prova in campo visionabile a questo link:  http://pa1.altervista.org/ ,  Joomla! FAP e un software ottimo se utilizzato con opportuni accorgimenti.
Ho testato anche con http://www.validatore.it e http://achecker.ca/checker/index.php oltre alla validazione css, html (WCAG 2.0 Level AAA) e valutazione allegato A L.4/04, qualche problema Ŕ stato riscontrato sulle icone e immagini ( da maneggiare con cautela Colori, contrasti e tonalitÓ e specifiche descrittve).
Normativamente Ŕ sostanzialmente conforme, qualche problematica Ŕ stata riscontrata sulla pubblicazione degli atti ( albo pretorio), secondo me occorrerebbe apportare qualche modifica sostanziale per rendere pienamente lecita la validitÓ  Ľ
giuridica degli atti in pubblicazione.
Questo Ŕ il mio indirizzo di posta elettronica se ritiene dove approfondire l'argomento: antonello.inglese@univaq.it.
Saluti cordiali.
antonelloinglese

Offline elpaso66

  • Moderator
  • Appassionato
  • *****
  • Post: 489
  • Sesso: Maschio
  • Sviluppo siti web e applicazioni
    • Mostra profilo
    • ItOpen.it
Re:Joomla! FAP 3.x
« Risposta #21 il: 18 Set 2014, 11:33:38 »
Normativamente Ŕ sostanzialmente conforme, qualche problematica Ŕ stata riscontrata sulla pubblicazione degli atti ( albo pretorio), secondo me occorrerebbe apportare qualche modifica sostanziale per rendere pienamente lecita la validitÓ  Ľ
giuridica degli atti in pubblicazione.
Questo Ŕ il mio indirizzo di posta elettronica se ritiene dove approfondire l'argomento: antonello.inglese@univaq.it.
Saluti cordiali.
antonelloinglese

Non so di quale sito stai parlando quindi assumo che sia quello dell'ASL VC.

Due osservazioni:
  • l'albo pretorio non fa parte di Joomla! FAP
  • in particolare quello dell'ASL VC Ŕ un prodotto esterno (commerciale) che spacciano per accessibile in quanto essendo XML i validatori non lo vedono neanche (se ti interessa il dettaglio: http://www.itopen.it/2014/03/05/xml-xslt-e-accessibilita/ )

Offline MimmoDeRosa

  • Nuovo arrivato
  • *
  • Post: 11
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #22 il: 04 Ott 2014, 11:57:19 »
Buongiorno a tutti.
Entro in punta di piedi e con molta discrezione chiedo aiuto. Da un po di tempo mi sto "allenando" ad usare joomla (ho sempre usato xoops), ho l'incarico di gestire il sito della mia scuola e vorrei cominciare a farlo proprio con joomlaFAP 3.
Vi chiedo la cortesia di indicarmi la procedura di installazione o qualunque altra indicazione. Sono un neofita di joomla, mi piace molto come cms e visto che devo tener conto per legge di tutte le indicazione della realizzazione dei siti della PA, joomlaFAP3 mi sembra ideale.
Utilizzo il mio sito personale come "campo di allenamento" e ho installato joomla 3.3.3. Non ho capito bene se joomlaFAP 3 Ŕ l'installazione di tutto il sito o se Ŕ un'estensione e un template insieme; ho installato joomla3.3, posso installare joomlaFAP 3 ed eventualmente come fare?
Ho letto qualche post, ma non ho trovato le risposte.
Grazie in anticipo per qualunque risposta possiate darmi.


Mimmo DR

Offline ingdidio

  • Nuovo arrivato
  • *
  • Post: 9
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #23 il: 04 Ott 2014, 15:48:05 »
Salve a tutti sono nuovo del forum e mi sto cimentando con installazione di Joomla FAP
ho installato la versione di joomla Joomla! 3.3.6 Stable [ Ember ] 01-October-2014 02:00 GMT
ho scaricato Joomla Fap dal link indicato nel forum https://github.com/elpaso/joomla-fap-3
ho scompattato il file zip e usando la funzione gestione estensione ho installato
1. com_accesskeys_3.5
2. plg_htmlpurifier_content_3.3_itopen con il seguente messaggio "This FAP plugin fix some common XHTML 1.0 strict incompatibilities"
3. plg_jfap_system_3.5
4. tpl_accessible_3.6

ho abilitato i due plugins ma quando scelgo il template mi da una vista minimale niente menu nulla come mai?


Grazie

Offline ingdidio

  • Nuovo arrivato
  • *
  • Post: 9
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #24 il: 04 Ott 2014, 15:56:34 »
correzione il messaggio "This FAP plugin fix some common XHTML 1.0 strict incompatibilities" spunta dopo installazione di [/size]plg_jfap_system_3.5[/color]

Offline MimmoDeRosa

  • Nuovo arrivato
  • *
  • Post: 11
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #25 il: 05 Ott 2014, 12:00:59 »
La stessa cosa succede a me...

Offline elpaso66

  • Moderator
  • Appassionato
  • *****
  • Post: 489
  • Sesso: Maschio
  • Sviluppo siti web e applicazioni
    • Mostra profilo
    • ItOpen.it
Re:Joomla! FAP 3.x
« Risposta #26 il: 20 Ott 2014, 09:51:13 »
correzione il messaggio "This FAP plugin fix some common XHTML 1.0 strict incompatibilities" spunta dopo installazione di plg_jfap_system_3.5

╚ un normalissimo messaggio post-installazione.

Offline elpaso66

  • Moderator
  • Appassionato
  • *****
  • Post: 489
  • Sesso: Maschio
  • Sviluppo siti web e applicazioni
    • Mostra profilo
    • ItOpen.it
Re:Joomla! FAP 3.x
« Risposta #27 il: 20 Ott 2014, 09:54:27 »
Salve a tutti sono nuovo del forum e mi sto cimentando con installazione di Joomla FAP
ho installato la versione di joomla Joomla! 3.3.6 Stable [ Ember ] 01-October-2014 02:00 GMT
ho scaricato Joomla Fap dal link indicato nel forum https://github.com/elpaso/joomla-fap-3
ho scompattato il file zip e usando la funzione gestione estensione ho installato
1. com_accesskeys_3.5
2. plg_htmlpurifier_content_3.3_itopen con il seguente messaggio "This FAP plugin fix some common XHTML 1.0 strict incompatibilities"
3. plg_jfap_system_3.5
4. tpl_accessible_3.6

ho abilitato i due plugins ma quando scelgo il template mi da una vista minimale niente menu nulla come mai?


Grazie


Il motivo va ricercato nel modo in cui Joomla! visualizza i moduli (e questo non Ŕ il forum adatto per discuterne), non c'Ŕ nulla di specifico che riguardi Joomla! FAP se non il fatto che per compatibilitÓ con le versioni precedenti, Joomla! FAP utilizza per default le posizioni con i nomi "vecchi", Ŕ comunque possibile abilitare anche le nuove posizioni (vedere in proposito le opzioni del template).

Offline Mozartino

  • Appassionato
  • ***
  • Post: 339
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #28 il: 27 Dic 2014, 23:30:24 »
Salve a tutti.
Io non riesco a installare il template...

Il sito che sto provando Ŕ comprensivomontemurlo.gov.it/test e quando cerco d'installare il template accessible 3.10 dopo qualche minuto di attesa visualizzo la schermata bianca...

Chi mi pu˛ aiutare per favore?

Buona notte a tutti

Offline loky62

  • Esploratore
  • **
  • Post: 102
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #29 il: 31 Gen 2015, 20:02:31 »
Ciao, complimenti per il Vs. lavoro.


Ho caricato il template sul nuovo sito della scuola e vorrei fare una domanda.


Ma il nuovo template Ú responsive ?


Ho notato che se lo vedo dal tablet non compare il men¨ di sinistra.


Lo fa anche su http://www.joomlafap.it/  rimpicciolendo la finestra di visualizzazione si pu˛ vedere il problema anche sul pc.


Come si pu˛ fare ?


Grazie.



Offline elpaso66

  • Moderator
  • Appassionato
  • *****
  • Post: 489
  • Sesso: Maschio
  • Sviluppo siti web e applicazioni
    • Mostra profilo
    • ItOpen.it
Re:Joomla! FAP 3.x
« Risposta #30 il: 01 Feb 2015, 09:02:25 »
Ciao, complimenti per il Vs. lavoro.


Ho caricato il template sul nuovo sito della scuola e vorrei fare una domanda.


Ma il nuovo template Ú responsive ?


Ho notato che se lo vedo dal tablet non compare il men¨ di sinistra.


Lo fa anche su http://www.joomlafap.it/  rimpicciolendo la finestra di visualizzazione si pu˛ vedere il problema anche sul pc.


Come si pu˛ fare ?


Grazie.

Il template Ŕ responsive e (nella definizione pi¨ stringente del termine) lo Ŕ da 7 anni. Il problema Ŕ che non esiste una definizione condivisa del termine "responsive", Ŕ solo l'ultima buzzword di moda.



Esiste comunque una soluzione:

  • duplicare i moduli 
  • metterli in una posizione "centrale" come "center", "top" o (meglio) "bottom"
  • aggiungere nelle opzioni avanzate del modulo Suffisso classe CSS modulo: " visible-small-block"
Attenzione: c'Ŕ uno spazio prima di "visible"

Offline loky62

  • Esploratore
  • **
  • Post: 102
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #31 il: 02 Feb 2015, 16:34:18 »
Il template Ŕ responsive e (nella definizione pi¨ stringente del termine) lo Ŕ da 7 anni. Il problema Ŕ che non esiste una definizione condivisa del termine "responsive", Ŕ solo l'ultima buzzword di moda.



Esiste comunque una soluzione:

  • duplicare i moduli 
  • metterli in una posizione "centrale" come "center", "top" o (meglio) "bottom"
  • aggiungere nelle opzioni avanzate del modulo Suffisso classe CSS modulo: " visible-small-block"
Attenzione: c'Ŕ uno spazio prima di "visible"


Duplicati in posizione bottom con lo stesso nome. Funziona perfettamente. Grazie.

Offline elpaso66

  • Moderator
  • Appassionato
  • *****
  • Post: 489
  • Sesso: Maschio
  • Sviluppo siti web e applicazioni
    • Mostra profilo
    • ItOpen.it
Re:Joomla! FAP 3.x
« Risposta #32 il: 02 Feb 2015, 16:53:40 »
Con la prossima versione non ci sarÓ pi¨ bisogno, ho riarrangiato il layout mettendo le sidebar per ultime e il problema si Ŕ rapidamente risolto.

Pazientate ancora un po'....

Offline loky62

  • Esploratore
  • **
  • Post: 102
    • Mostra profilo
Re:Joomla! FAP 3.x
« Risposta #33 il: 11 Feb 2015, 16:28:44 »
Ciao, ho aggiornato alla 3.14 e vedo la posizione del men¨ left spostata al centro.

Inoltre ho lanciato il w3c validator sia html che css e mi da una serie di errori che penso dipendano dal template.

Succede anche a voi ?

Grazie.

Offline elpaso66

  • Moderator
  • Appassionato
  • *****
  • Post: 489
  • Sesso: Maschio
  • Sviluppo siti web e applicazioni
    • Mostra profilo
    • ItOpen.it
Re:Joomla! FAP 3.x
« Risposta #34 il: 11 Feb 2015, 16:35:36 »
Ciao, ho aggiornato alla 3.14 e vedo la posizione del men¨ left spostata al centro.

Inoltre ho lanciato il w3c validator sia html che css e mi da una serie di errori che penso dipendano dal template.

Succede anche a voi ?

Grazie.

Cancella la riga index.php 158 (carica font-awesome, non serve pi¨), ho dimenticato di rimuoverla dal template accessible ...

Sistemo con la prossima versione.



 

Torna su